
A.N.I. LOGISTICS, LTD. - Project progress work #739

Parent project # 712 (Closed): EKD System phase4 for ANI Ayuthaya

[Development] CKD process system phase4 

02 Oct 2024 17:02 - Priroj Neamjarn

Status: Closed Start date: 18 Oct 2024

Priority: Normal Due date: 01 Dec 2024

Assignee: Priroj Neamjarn % Done: 100%

Category:  Estimated time: 480.00 hours

Target version:  Spent time: 1136.00 hours

Finish date: 01 Dec 2024 DB skills: MS SQL Server

Programming skills: Android/Java OS skills: Android

Description

[Coding]

1)Android handy

2)tablet modification Java

3)Backend web socket (php)

History

#1 - 02 Oct 2024 17:04 - Priroj Neamjarn

today

-Schedule plan

-Prepare an Android project

tomorrow

-Receive process

#2 - 03 Oct 2024 16:55 - Priroj Neamjarn

- Status changed from New to In Progress

today

-Receive process

tomorrow

-Receive process

#3 - 04 Oct 2024 16:40 - Priroj Neamjarn

today

-Receive process

tomorrow

-Receive process

#4 - 05 Oct 2024 16:30 - Priroj Neamjarn

today

-Receive process

tomorrow

-Receive process

#5 - 07 Oct 2024 16:39 - Priroj Neamjarn

- % Done changed from 0 to 10

today

-Receive process

tomorrow

-Receive process

#6 - 08 Oct 2024 16:41 - Priroj Neamjarn

today

-Receive process

tomorrow
-Inner Packing process

#7 - 09 Oct 2024 16:30 - Priroj Neamjarn

today

-Inner Packing process

tomorrow

-Inner Packing process

#8 - 10 Oct 2024 16:41 - Priroj Neamjarn

today

-Inner Packing process

tomorrow

-Inner Packing process

#9 - 11 Oct 2024 16:33 - Priroj Neamjarn

today

- Inner Packing process

tomorrow

-Inner Packing process

-Login process

#10 - 15 Oct 2024 16:36 - Priroj Neamjarn

today

-Inner Packing process

tomorrow

-Inner Packing process

-Login process

#11 - 16 Oct 2024 16:31 - Priroj Neamjarn

- % Done changed from 10 to 20

today

-Inner Packing process

tomorrow

-Inner Packing process

-Login process

#12 - 17 Oct 2024 16:17 - Priroj Neamjarn

today

-Inner Packing process

-Travel to the office

tomorrow

-Inner Packing process

-Login process

#13 - 21 Oct 2024 08:26 - Priroj Neamjarn

- Start date changed from 02 Oct 2024 to 18 Oct 2024

today

-Inner Packing process

tomorrow

-Inner Packing process

-Login process

#14 - 21 Oct 2024 16:32 - Priroj Neamjarn

today

-Inner Packing process

-Login process

tomorrow

-Login process

-Outer Packing Process

#15 - 22 Oct 2024 16:44 - Priroj Neamjarn

today

-Login process
tomorrow

-Outer Packing Process

-Inner Packing Process (new customer request)

#16 - 25 Oct 2024 16:35 - Priroj Neamjarn

today

-New Main menu (phase 4)

-Outer Packing Process

-Inner Packing Process (new customer request)

#17 - 28 Oct 2024 16:38 - Priroj Neamjarn

today

-New Main menu (phase 4)

-Inner Packing Process (new customer request)

-Multi scan handy

tomorrow

-Outer Packing Process

-Multi scan handy

-Lock screen

#18 - 30 Oct 2024 16:32 - Priroj Neamjarn

today

-Inner Packing Process (new customer request)

-Multi scan handy

tomorrow

-Outer Packing Process

-Multi scan handy

-Lock screen

#19 - 31 Oct 2024 16:40 - Priroj Neamjarn

today

-Outer Packing Process

-Multi scan handy

-Lock screen

tomorrow

-Outer Packing Process

-Multi scan handy

-Lock screen

#20 - 01 Nov 2024 16:41 - Priroj Neamjarn

today

-Outer Packing Process

-Multi scan handy

tomorrow

-Outer Packing Process

-Lock screen

#21 - 02 Nov 2024 16:42 - Priroj Neamjarn

- % Done changed from 20 to 30

today

-Outer Packing Process

tomorrow

-Outer Packing Process

-Lock screen

#22 - 04 Nov 2024 16:36 - Priroj Neamjarn

today

-Outer Packing Process

tomorrow

-Outer Packing Process

-Lock screen

-Receive Finish Case

#23 - 05 Nov 2024 16:31 - Priroj Neamjarn

today

-Outer Packing Process
tomorrow

-Lock screen

-Receive Finish Case

#24 - 06 Nov 2024 16:35 - Priroj Neamjarn

today

-Receive Finish Case

tomorrow

-Lock screen

-Receive Finish Case

#25 - 07 Nov 2024 16:46 - Priroj Neamjarn

today

-Receive Finish Case

-Lock screen

tomorrow

-Receive Finish Case

#26 - 08 Nov 2024 16:37 - Priroj Neamjarn

today

-Receive Finish Case

tomorrow

-Receive Finish Case

#27 - 11 Nov 2024 16:32 - Priroj Neamjarn

today

-Receive Finish Case (Handy)

tomorrow

-Receive Finish Case (Tablet)

-Move Finish Case (Handy)

#28 - 12 Nov 2024 16:43 - Priroj Neamjarn

- % Done changed from 30 to 40

today

-Receive Finish Case (Tablet)

-Move Finish Case (Handy)

tomorrow

-Move Finish Case (Handy)

#29 - 13 Nov 2024 16:34 - Priroj Neamjarn

today

-Move Finish Case (Handy)

-Setup Finish Case (Handy)

tomorrow

-Setup Finish Case (Handy)

-Setup Finish Case (Tablet)

#30 - 14 Nov 2024 16:51 - Priroj Neamjarn

today

-Setup Finish Case (Handy)

tomorrow

-Setup Finish Case (Handy)

-Setup Finish Case (Tablet)

#31 - 15 Nov 2024 16:32 - Priroj Neamjarn

today

-Setup Finish Case (Handy)

tomorrow

-Setup Finish Case (Handy)

-Setup Finish Case (Tablet)

#32 - 16 Nov 2024 16:44 - Priroj Neamjarn

- % Done changed from 40 to 50
today

-Setup Finish Case (Handy)

tomorrow

-Setup Finish Case (Tablet)

-Vanning Finish Case (Handy)

-Vanning Finish Case (Tablet)

#33 - 18 Nov 2024 16:35 - Priroj Neamjarn

today

-Setup Finish Case (Handy)

-Setup Finish Case (Tablet)

tomorrow

-Vanning Finish Case (Handy)

-Vanning Finish Case (Tablet)

#34 - 19 Nov 2024 16:19 - Priroj Neamjarn

today

-Vanning Finish Case (Handy)

-Vanning Finish Case (Tablet)

tomorrow

-Edit Tag Receive label

-PC Schedule Receive, Schedule Staging

#35 - 20 Nov 2024 16:31 - Priroj Neamjarn

today

-Vanning Finish Case (Tablet)

-Edit Tag Receive label

tomorrow

-PC Schedule Receive, Schedule Staging

#36 - 21 Nov 2024 16:50 - Priroj Neamjarn

today

-Edit Tag Receive label

-PC Schedule Receive, Schedule Staging

tomorrow

-PC Schedule Receive, Schedule Staging

#37 - 22 Nov 2024 16:32 - Priroj Neamjarn

today

-PC Schedule Receive, Schedule Staging, Schedule Inner

tomorrow

-PC Schedule Outer, Schedule Vanning

#38 - 25 Nov 2024 16:18 - Priroj Neamjarn

- % Done changed from 50 to 60

today

-PC Schedule Receive, Schedule Staging, Schedule Inner

PC Schedule Outer, Schedule Vanning

tomorrow

-PC Schedule Outer, Schedule Vanning

#39 - 26 Nov 2024 16:39 - Priroj Neamjarn

today

PC Schedule Outer, Schedule Vanning

Q-Point detail report

tomorrow

Packing daily summary report

Packing monthly summary report

#40 - 28 Nov 2024 09:49 - Priroj Neamjarn

today

Q-Point detail report

tomorrow

Packing daily summary report

Packing monthly summary report
#41 - 28 Nov 2024 16:31 - Priroj Neamjarn

- % Done changed from 60 to 70

today

Packing daily summary report

tomorrow

Packing daily summary report

Packing monthly summary report

#42 - 29 Nov 2024 16:35 - Priroj Neamjarn

today

Packing daily summary report

tomorrow

Packing daily summary report

Packing monthly summary report

#43 - 30 Nov 2024 16:44 - Priroj Neamjarn

today

Packing daily summary report

Meeting with ANI

tomorrow

Packing monthly summary report

#44 - 02 Dec 2024 16:34 - Priroj Neamjarn

- % Done changed from 70 to 80

today

-Packing monthly summary report

-Dashboard

tomorrow

-Dashboard

#45 - 03 Dec 2024 16:57 - Priroj Neamjarn

today

-Adjust the power meter calculation function of OTIC.

-Meeting to discuss the specifications of the Stock management system (MAST.)

tomorrow

-Adjust the power meter calculation function of OTIC.

#46 - 04 Dec 2024 16:36 - Priroj Neamjarn

today

-Adjust the power meter calculation function of OTIC.

tomorrow

-Adjust the power meter calculation function of OTIC.

#47 - 06 Dec 2024 16:25 - Priroj Neamjarn

today

-Internal test case

tomorrow

-Dashboard

-Q-Gate (new requirement)

#48 - 11 Dec 2024 16:28 - Priroj Neamjarn

today

-create screen Q-Gate for Handy

-create screen Q-Gate for Tablet

-create Socket API

tomorrow

-create screen Q-Gate for Handy

-create screen Q-Gate for Tablet

-create Socket API

#49 - 12 Dec 2024 16:44 - Priroj Neamjarn

today

-Coding Q-Gate for Handy
-Coding screen Q-Gate for Tablet

-Coding Socket API

tomorrow

-Coding Q-Gate for Handy

-Coding screen Q-Gate for Tablet

-Coding Socket API

#50 - 13 Dec 2024 16:41 - Priroj Neamjarn

today

-Coding Q-Gate for Handy

-Coding screen Q-Gate for Tablet

-Coding Socket API

tomorrow

-Coding Q-Gate for Handy

-Coding screen Q-Gate for Tablet

-Coding Socket API

#51 - 14 Dec 2024 16:44 - Priroj Neamjarn

today

-Coding Q-Gate for Handy

-Coding screen Q-Gate for Tablet

-Coding Socket API

tomorrow

-Coding Q-Gate for Handy

-Coding screen Q-Gate for Tablet

-Coding Socket API

#52 - 16 Dec 2024 16:31 - Priroj Neamjarn

today

-Coding screen Q-Gate for Tablet

-Coding Socket API

tomorrow

-Coding screen Q-Gate for Tablet

-Coding Socket API

-Coding Web

#53 - 17 Dec 2024 16:37 - Priroj Neamjarn

today

-Coding screen Q-Gate for Tablet

-Coding Socket API

tomorrow

-Coding Web

#54 - 18 Dec 2024 16:32 - Priroj Neamjarn

today

-Coding Web Pegasus System

tomorrow

-Coding Web Pegasus System

#55 - 19 Dec 2024 16:50 - Priroj Neamjarn

today

-Coding Web Pegasus System

tomorrow

-Internal test

#56 - 25 Dec 2024 17:37 - Priroj Neamjarn

- File ht_ani_phase4.apk added

- File tablet_ani_phase4.apk added

- File CKD process system phase4 specifications Documentation EN Blueprint for ANI_R4.pptx added

- File Q-Gate process system specifications Documentation EN Blueprint for ANI_R1.pptx added

- File UnitTest_CKD_Process_system_phase4.xls added

- Status changed from In Progress to Confirmation request

-internal test
#57 - 25 Dec 2024 17:39 - Priroj Neamjarn

- % Done changed from 80 to 100

Internal test

#58 - 25 Dec 2024 18:35 - Kittisak Isarapongporn

- Parent task changed from #713 to #712

#59 - 25 Dec 2024 18:36 - Kittisak Isarapongporn

- Subject changed from CKD process system phase4  to [Development] CKD process system phase4 

#60 - 06 Jan 2025 20:03 - Priroj Neamjarn

today

Test and prepare for system installation.

#61 - 07 Jan 2025 17:59 - Priroj Neamjarn

today

Fix bug for system installation.

#62 - 08 Jan 2025 16:27 - Priroj Neamjarn

today

Fix bug Tablet, Handy, Web for system installation.

#63 - 09 Jan 2025 16:43 - Priroj Neamjarn

today

-Prepare to install the application.

#64 - 10 Jan 2025 16:40 - Priroj Neamjarn

today

-Prepare to install the application.

#65 - 11 Jan 2025 14:22 - Kittisak Isarapongporn

- Status changed from Confirmation request to Close request

#66 - 13 Jan 2025 16:59 - Priroj Neamjarn

today

-install the application.

#67 - 14 Jan 2025 16:38 - Priroj Neamjarn

today

-install the application.

#68 - 15 Jan 2025 16:46 - Priroj Neamjarn

today

-install the application.

#69 - 16 Jan 2025 16:44 - Priroj Neamjarn

today

-install the application.

#70 - 17 Jan 2025 18:54 - Priroj Neamjarn

today

-install the application.

#71 - 18 Jan 2025 16:44 - Priroj Neamjarn

today

-Adjust Setup/Vanning Process

#72 - 20 Jan 2025 18:56 - Priroj Neamjarn
today

-Update Setup/Vanning Process

-Update QGate Process

#73 - 02 Mar 2025 11:42 - Ryo Nozaki

- Status changed from Close request to Closed

#74 - 31 Mar 2025 17:27 - Priroj Neamjarn

today

-Fix Bug Vanning and Add function keep log approve sc flag

tomorrow

-Fix bug q-gate

Files

ht_ani_phase4.apk 8.54 MB 25 Dec 2024 Priroj Neamjarn

tablet_ani_phase4.apk 28.1 MB 25 Dec 2024 Priroj Neamjarn

CKD process system phase4 specifications Documentation EN Blueprint for ANI_R4.pptx10.3 MB 25 Dec 2024 Priroj Neamjarn

Q-Gate process system specifications Documentation EN Blueprint for ANI_R1.pptx5.94 MB 25 Dec 2024 Priroj Neamjarn

UnitTest_CKD_Process_system_phase4.xls 4.04 MB 25 Dec 2024 Priroj Neamjarn
